llfifo: XStrm_RxFifoStreamer Struct Reference

| llfifo Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XStrm_RxFifoStreamer Struct Reference
Llfifo_v5_3

This typedef defines a run-time instance of a receive byte-streamer. More...

## Data Fields
unsigned | HeadIndex
| HeadIndex is the index to the AlignedBuffer as bytes. More...
unsigned | FifoWidth
| FifoWidth is the FIFO key hole width in bytes. More...
unsigned | FrmByteCnt
| FrmByteCnt is the number of bytes in the next Frame. More...
void * | FifoInstance
| FifoInstance is the FIFO driver instance to pass to ReadFn, GetLenFn, and GetOccupancyFn routines. More...
XStrm_XferFnType | ReadFn
| ReadFn is the routine the streamer uses to receive bytes from the Fifo. More...
XStrm_GetLenFnType | GetLenFn
| GetLenFn is the routine the streamer uses to initiate receive operations on the FIFO. More...
XStrm_GetOccupancyFnType | GetOccupancyFn
| GetOccupancyFn is the routine the streamer uses to get the occupancy from the FIFO. More...

## Detailed Description

This typedef defines a run-time instance of a receive byte-streamer.

## Field Documentation

void* XStrm_RxFifoStreamer::FifoInstance

FifoInstance is the FIFO driver instance to pass to ReadFn, GetLenFn, and GetOccupancyFn routines.

Referenced by XStrm_Read(), XStrm_RxGetLen(), and XStrm_RxInitialize().

unsigned XStrm_RxFifoStreamer::FifoWidth

FifoWidth is the FIFO key hole width in bytes.

Referenced by XStrm_Read(), XStrm_RxGetLen(), and XStrm_RxInitialize().

unsigned XStrm_RxFifoStreamer::FrmByteCnt

FrmByteCnt is the number of bytes in the next Frame.

Referenced by XStrm_Read(), and XStrm_RxGetLen().

XStrm_GetLenFnType XStrm_RxFifoStreamer::GetLenFn

GetLenFn is the routine the streamer uses to initiate receive operations on the FIFO.

Referenced by XStrm_RxGetLen(), and XStrm_RxInitialize().

XStrm_GetOccupancyFnType XStrm_RxFifoStreamer::GetOccupancyFn

GetOccupancyFn is the routine the streamer uses to get the occupancy from the FIFO.

Referenced by XStrm_RxInitialize().

unsigned XStrm_RxFifoStreamer::HeadIndex

HeadIndex is the index to the AlignedBuffer as bytes.

Referenced by XStrm_Read(), XStrm_RxGetLen(), and XStrm_RxInitialize().

XStrm_XferFnType XStrm_RxFifoStreamer::ReadFn

ReadFn is the routine the streamer uses to receive bytes from the Fifo.

Referenced by XStrm_Read(), and XStrm_RxInitialize().